#include <QApplication>
#include <QTranslator>
#include <QString>
#include <QLocale>
#include "dialogimpl.h"

//extern const QString appName = "Arch Assistant v0.4";

//
int main(int argc, char ** argv)
{
	QApplication app(argc, argv);
	
	QString locale = QLocale::system().name();
	QString translations_path = "/usr/share/archassistant/translations";

	QTranslator translator;
	//translator.load(QString(":/archassistant_") + locale);
	translator.load(QString("%1/archassistant_").arg(translations_path) + locale);
	app.installTranslator(&translator);
	
	DialogImpl systray(0);
	systray.show();
	app.setQuitOnLastWindowClosed(false);
	//app.connect( &app, SIGNAL( lastWindowClosed() ), &app, SLOT( quit() ) );
	return app.exec();
}
