//
// C++ Interface: networkstopdialog
//
// Description: 
//
//
// Author: root <root@carrouf-G1>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef NETWORKSTOPDIALOG_H
#define NETWORKSTOPDIALOG_H
#include <QDialog>
#include <QTreeWidget>
#include <QProcess>
#include <QHBoxLayout>
#include <QPushButton>
#include "netutils.h"
/**
	@author root <root@carrouf-G1>
*/
class NetworkStopDialog:public QDialog//, public Ui::NetworkProfileEditorDialog
{
	Q_OBJECT
	public:
		//NetworkStopDialog(QWidget * parent = 0, Qt::WFlags f = 0, int mode = 0);
		NetworkStopDialog(QWidget * parent = 0, Qt::WFlags f = 0, int mode = 0, QString profileName = "");
		//~NetworkStopDialog();
		
		QTreeWidget *treeWidget;
		//QStringList itemsDisconnected;
		int errorsCount;
	
	private:
		NetUtils * netUtils;
		QString profileNameRequested;
		int targetMode;
		int jobCount;
		QPushButton *pbClose;
		QPushButton *pbOk;
		QHBoxLayout *layout;
		QProcess *stopProcess;
		QStringList queueList;
		void updateTreeWidgetItems();
		
		void launchJob(int);
	
	private slots:
		void disconnectProfilesOrInterfaces();
		void jobEnded(int, QProcess::ExitStatus);
		void treeWidgetPressed();//void treeWidgetPressed(QTreeWidgetItem *, int);
};

#endif
