#ifndef WIFINETWORKSELECTOR_H
#define WIFINETWORKSELECTOR_H
//
#include <QDialog>
#include <QTreeWidget>
//#include <QMap>
#include <QProcess>
#include "netutils.h"

class WifiNetworkSelector:public QDialog
{
	Q_OBJECT
	public:
		WifiNetworkSelector(QWidget * parent = 0, Qt::WFlags f = 0);

		QString essidSelected;
		QString channelSelected;
		QString modeSelected;
		QString protocolSelected;
		QString mac_addressSelected;

		QTreeWidget *treeWidget;

	private:
		QPushButton *pbRescan;
		QPushButton *pbOk;
		QPushButton *pbCloseDlg;
		//QMap<int, QStringList> parseIwlistScan(QString);
		NetUtils *netUtils;
		QProcess *iwconfigProcess;
		void updateTreeWidgetItems();
		
	private slots:
		void networkSelected();
		void networkItemSelected();
		void scanNetwork();
		void scanProcessEnded(int, QProcess::ExitStatus);
};
#endif
