#ifndef PACMANASSISTANT_H
#define PACMANASSISTANT_H
//
#include <QDialog>
#include <QProcess>
#include <QPushButton>
#include <QLineEdit>
#include <QComboBox>
#include <QLabel>
//
class QProcess;
class QTextEdit;
class QPushButton;
class QLineEdit;
class QComboBox;
class QLabel;
//
class PacmanAssistant:public QDialog
{

Q_OBJECT

public:
	//PacmanAssistant(const QString &command, QStringList pacActions[9]);
	PacmanAssistant(int pacActionIndex);

private:
	QStringList pacActions[9];
	QString pacmanBin;
	QProcess *pacProcess;
	QTextEdit *textEdit;
	QPushButton *pbClose;
	QPushButton *pbStart;
	QLineEdit *leExtraArgs;
	QLabel *pacStateInfo;
	QComboBox *cbPacmanActions;
	
	//void initDialog(QString);
	//void initDialog(int);

private slots:
	void cbPacmanActionsChanged();
	void pacProcessEnded(int, QProcess::ExitStatus);
	void pacProcessError(QProcess::ProcessError);
	void pacProcessOutput();
	void pacProcessStart();
};
#endif
